KDESU(1)

NAME
kdesu - Ejecuta un programa con privilegios elevados

SYNOPSIS

kdesu [-c] [-d] [-f archivo] [-i nombre de icono] [-n] [-p prioridad] [-r] [-s] [-t] [-u usuario] [--nonewdcop] [orden [argumento1] [argumento2] [...]]

kdesu [Opciones genéricas de KDE] [Opciones genéricas de Qt]

DESCRIPCIóN

KDE su es una interfaz gráfica de la orden de UNIX® su para el entorno de escritorio K. Le permite ejecutar un programa como si fuera un usuario distinto, proporcionando la contraseña de este usuario. KDE su es un programa sin privilegios que usa la orden del sistema su.

KDE su tiene una característica adicional: puede recordar contraseñas de forma opcional. Si está usando esta característica, solo necesitará introducir la contraseña una vez para cada orden.

Se debe iniciar este programa desde la línea de órdenes o desde archivos .desktop.

OPCIONES

-c programa
    Esto especifica que se ejecute el programa como usuario «root». Debe ser pasado en un argumento. De este modo, si, por ejemplo, desea iniciar un nuevo administrador de archivos, escribiría en la línea de órdenes: kdesu -c kfm -sw

-d  Muestra información de depurado.

-f archivo
    Esta opción permite el uso eficiente de KDE su con archivos .desktop. Le dice a KDE su que examine el archivo especificado en archivo. Si el usuario actual puede escribir en este archivo, KDE su ejecutará la orden como usuario actual. Si no puede escribir en él, la orden se ejecuta como usuario usuario (que de manera predeterminada es «root»). archivo se evalúa del siguiente modo: si archivo comienza por /, se tomo como un nombre de archivo absoluto. En caso contrario, se toma como el nombre de un archivo de configuración global de KDE. Por ejemplo: para configurar el administrador de pantalla de KDE, kdm, puede usar la orden kdesu -c kdmconfig -f kdmrc

-i nombre de icono
    Especifica el icono a utilizar en el diálogo de contraseña. Puede escribir solo el nombre, sin ninguna extensión.

-n  No guarda la contraseña. Esto desactiva la casilla Guardar contraseña en el diálogo de contraseña.

-p prioridad
    Establece el valor de la prioridad. La prioridad es un número arbitrario entre 0 y 100, donde 100 significa la máxima prioridad, y 0 la mínima. El valor predeterminado es 50.

-r  Usa planificación de tiempo real.

-s  Detiene el demonio kdesu. Este es el demonio que guarda temporalmente en segundo plano las contraseñas correctas. Esta característica puede ser desactivada con -n cuando se ejecuta KDE su inicialmente.

-t  Activa la salida del terminal. Esto desactiva la memorización de la contraseña. Se usa principalmente en depuración; si quiere ejecutar una aplicación en modo consola, utilice en su lugar la orden estándar su.

-u  usuario
    Aunque el uso más común de KDE su es ejecutar una orden como superusuario, puede usar cualquier nombre de usuario y su correspondiente contraseña.

VER TAMBIéN

su(1)

Se dispone de documentación de usuario más detallada en help:/kdesu (puede introducir esta URL en Konqueror, o ejecutar khelpcenter help:/kdesu).

EJEMPLOS

Ejecuta kfmclient como el usuario jim, y muestra el icono de Konqueror en el diálogo de contraseña:

    kdesu -u jim -i konqueror kfmclient

AUTORES

KDE su ha sido escrito por Geert Jansen <jansen@kde.org> y Pietro Iglio <iglio@fub.it>.

AUTHOR
Lauri Watts.